Bug 1413 - if live migration migration fails /etc/vz/names/CTNAME is not removed on the destionation host
if live migration migration fails /etc/vz/names/CTNAME is not removed on the ...
Status: CLOSED FIXED
Product: OpenVZ
Classification: Unclassified
Component: vzmigrate
unspecified
Other Other
: P2 normal
Assigned To: Kir Kolyshkin
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-24 18:40 EST by piavlo
Modified: 2015-04-01 14:43 EDT (History)
1 user (show)

See Also:


Attachments
fix (722 bytes, patch)
2010-02-11 12:01 EST, Kir Kolyshkin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description piavlo 2010-01-24 18:40:20 EST
Then live migration fails the /etc/vz/conf/CTID.conf is removed on the destination host but /etc/vz/names/CTNAME is not
Comment 1 piavlo 2010-02-09 15:15:49 EST
bump
Comment 2 Kir Kolyshkin 2010-02-11 11:31:07 EST
Ughm. To solve this in a proper way we need to implement 'vzctl unset' first. The hack would be to use vzctl set $CTID --name '' --save which will lead to the same result plus clearing the name in config file which we don't mind :)
Comment 3 Kir Kolyshkin 2010-02-11 12:01:13 EST
Created attachment 1135 [details]
fix

Can you please check if the attached patch helps? I tested it lightly and it looks like it's correct one, but it would be better if you give it a try.

If you don't want to apply patch, simply modify the vzmigrate script to add the following line:

       $SSH "root@$host" "vzctl set $VEID --name '' --save > /dev/null"

right after

undo_conf () {
Comment 4 piavlo 2010-02-11 14:55:43 EST
(In reply to comment #3)
> Created an attachment (id=1135) [details]
> fix
> 
> Can you please check if the attached patch helps? I tested it lightly and it
> looks like it's correct one, but it would be better if you give it a try.

Seems to be working for me too, thanks.

> 
> If you don't want to apply patch, simply modify the vzmigrate script to add the
> following line:
> 
>        $SSH "root@$host" "vzctl set $VEID --name '' --save > /dev/null"
> 
> right after
> 
> undo_conf () {
Comment 5 Kir Kolyshkin 2010-02-15 11:42:49 EST
Fixed in GIT:
http://git.openvz.org/?p=vzctl;a=commit;h=f4f33b736acd225f014582495d154887f4c3e8a2

will appear in vzctl >= 3.0.24
Comment 6 Kir Kolyshkin 2010-03-05 10:52:57 EST
(In reply to comment #2)
> Ughm. To solve this in a proper way we need to implement 'vzctl unset' first.

Filed bug #1447.
Comment 7 Sergey Bronnikov 2015-04-01 14:43:31 EDT
Bug was fixed more than one year ago and there were no complains from reporter after fix. We believe bug fix helped and mark bug as closed.